/*
 *
 * Copia en un fichero lo que lee de la entrada estndar
 * Si el fichero no existe lo crea. En cualquier caso, trunca su contenido.
 *
 */

#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include "venusbib.h"

int main (int argc, char *argv[])
{
	int fd;
	char buf[64];
	int cont;

	if (argc != 2) {
		fprintf(stderr, "uso: %s fichero\n", argv[0]);
		exit (1);
	}
	fd=OpenFile(argv[1], O_RDWR|O_CREAT);
	if (fd<0) {
		fprintf(stderr, "error en OpenFile\n");
		exit(1);
	}
	if (ftruncate(fd, 0)<0) {
		fprintf(stderr, "error en ftruncate\n");
		CloseFile(argv[1], fd);
		exit(1);
	}
		
	while ((cont=read(1, buf, 64))>0)
		if (write(fd, buf, cont)<0) {
			fprintf(stderr, "error en write\n");
			break;
	}	

	if (CloseFile(argv[1], fd)<0)
		fprintf(stderr, "error en CloseFile\n");

	return(0);
}
